<?php
require'f_galerie.php';
$x1='';
$x2='/la/'.$la.'-'.seo(nume($la,1));
$x3='&&`de`="'.$la.'"';
if(isset($_GET['fid']))
{
$x1.=' - album '.$fnume;
$x2.='/album/'.$fid.'-'.seo($finfo[1]);
$x3.='&&`fid`="'.$fid.'"';
}
if(isset($_GET['go']))
{
$x1.=' - în funcție de prețul oferit la '.($go==1?'comentare':'notare');
$x2.='/tip/'.$go;
$x3.='&&'.($go==1?'`pret_com`':'`pret_rate`').'>"0"';
}
$unume=nume($la,1);
require'f_conectare.php';
conectare('poze membru '.$unume.$x1,'poze-membru/la/'.$la.'-'.seo($unume)).$x2;
$titlu='Poze membru '.$unume.$x1;
if($_SERVER['REQUEST_URI']!='/poze-membru/la/'.$la.'-'.seo(nume($la,1)))
$back[2]='<a href="/poze-membru/la/'.$la.'-'.seo(nume($la,1)).'">'.img('galerie.png',1).'Poze membru '.nume($la).'</a>';
$elemente=$conn->query('SELECT COUNT(*)FROM`galerie_poze`WHERE`valid`>"0"'.$x3)->fetch_row()[0];
$albume_membru=$conn->query('SELECT COUNT(*)FROM`galerie_albume`WHERE`de`="'.$la.'"')->fetch_row()[0];
if($albume_membru>0&&!isset($_GET['fid']))
{
require'f_sus.php';
echo$div[4].img('galerie.png',1).'Albume poze membru '.nume($la).$div[5].$div[10].nume($la).' are adăugate <strong>'.$elemente.'</strong> poze'.($go!=''?' cu prețuri oferite pentru '.($go==1?'comentare':'notare'):'').', și <strong>'.$albume_membru.'</strong> albume de poze:'.$div[0];
$poze_fara_album=$conn->query('SELECT COUNT(*)FROM`galerie_poze`WHERE`valid`>"0"&&`fid`="0"'.$x3)->fetch_row()[0];
if($poze_fara_album>0)
echo$div[1].'<a href="/poze-membru/la/'.$la.'-'.seo(nume($la,1)).'/album/0-poze-fara-album'.($go!=''?'/tip/'.$go:'').'">'.img('galerie.png',1).'Poze fără album: <strong>'.$poze_fara_album.'</strong> poze</a>'.$div[0];
$albume=$conn->query('SELECT`id`,`nume`,`tip`FROM`galerie_albume`WHERE`de`="'.$la.'"ORDER BY`data`DESC');
while($album=$albume->fetch_row())
{
echo$div[1].'<a href="/poze-membru/la/'.$la.'-'.seo(nume($la,1)).'/album/'.$album[0].'-'.seo($album[1]).($go!=''?'/tip/'.$go:'').'"><img src="'.$imagine_album[$album[2]].'" alt="'.$confidentialitate_album[$album[2]].'" width="16" height="16" />'.htmlspecialchars($album[1]).': <strong>'.$conn->query('SELECT COUNT(*)FROM`galerie_poze`WHERE`valid`>"0"&&`fid`="'.$album[0].'"'.$x3)->fetch_row()[0].'</strong> poze</a>'.$div[0];
}
}
else
{
if($elemente>0)
{
require'f_filtru.php';
require'f_data.php';
$pe_pagina=1;
require'f_paginare1.php';
$items=$conn->query('SELECT`id`,`mare`,`mica`,`vizualizari`,`valid`,`descriere`,`data`,`pret_com`,`pret_rate`FROM`galerie_poze`WHERE`de`="'.$la.'"&&`valid`>"0"'.$x3.($go!=''?'ORDER BY'.($go==1?'`pret_com`':'`pret_rate`').'DESC':'ORDER BY`data`DESC').' LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
if($is_pc>1)
$head[0].='.rotunjit{border:2px solid #eee;box-shadow:0 3px 2px rgba(0,0,0,0.3);border-radius:5px;margin:0 auto}';
if($de!=$la)
$conn->query('UPDATE`galerie_poze`SET`vizualizari`=vizualizari+1 WHERE`id`="'.$item[0].'"');
if($de==0)
$head[3]='<link rel="canonical" href="/poza/id/'.$item[0].'" />';
$head[5]='<p style="text-align:center"><a href="/'.$item[1].'"><img '.($is_pc>1?'class="rotunjit" ':'').'src="/'.$item[2].'" alt="'.$item[0].'" width="128" height="128" /></a><a href="/'.$item[1].'"><img src="'.$domenii_statice[2].'zoom.gif" alt="" /></a></p>';
require'f_sus.php';
require'f_profil.php';
echo$div[4].profil($la).$div[5].($item[5]!=''?$div[1].'Descriere: <strong>'.filtru($item[5]).'</strong>'.$div[0]:'').$div[1].'Vizualizări: <strong>'.$item[3].'</strong>'.$div[0].$div[1].'Adăugată: <small>'.data($item[6]).'</small>'.$div[0].$div[1];
$notare=$conn->query('SELECT COUNT(*)FROM`galerie_note`WHERE`pid`="'.$item[0].'"')->fetch_row()[0];
if($notare==0)
echo'Nu a fost notată încă!';
else
{
$rinfo=$conn->query('SELECT COUNT(*),SUM(`valoare`)FROM`galerie_note`WHERE`pid`="'.$item[0].'"')->fetch_row();
require'f_nota.php';
echo'Nota: <strong>'.nota(mb_substr(($rinfo[1]/$rinfo[0]),0,4)).'</strong>'.$div[0].$div[1].'Puncte: <strong>'.$rinfo[1].'</strong>'.$div[0].$div[1].'<a href="/note-poza/id/'.$item[0].'">Voturi</a> <strong>'.number_format($notare).'</strong>';
}
echo$div[0];
if($conn->query('SELECT COUNT(*)FROM`galerie_note`WHERE`de`="'.$de.'"&&`pid`="'.$item[0].'"')->fetch_row()[0]==0)
{
if($item[8]>0)
echo$div[1].'Daca notezi aceasta poza, '.nume($la).' îți oferă suma de <strong>'.$item[8].'</strong> lei!'.$div[0];
$form[0]='/noteaza-poza/id/'.$item[0].'" method="post';
$form[1]=0;
require'f_scris3.php';
$form[2]=$div[1].'Da o nota:<br />'.scris3('pmtext','1::2::3::4::5::6::7::8::9::10','10').$div[0];
$form[3]='pmtext';
$form[4]='Noteaza';
require'f_form.php';
}
else
{
$rinfo=$conn->query('SELECT`valoare`,`data`FROM`galerie_note`WHERE`de`="'.$de.'"&&`pid`="'.$item[0].'"')->fetch_row();
echo$div[1].'Tu i-ai acordat nota: <strong>'.$rinfo[0].'</strong><br /><small>Data: '.data($rinfo[1]).'</small>'.$div[0];
}
echo$div[1];
if($conn->query('SELECT COUNT(*)FROM`galerie_aprecieri`WHERE`pid`="'.$item[0].'"')->fetch_row()[0]==0)
echo'Nu a primit aprecieri încă!';
else
{
$aprecieri=$conn->query('SELECT COUNT(*)FROM`galerie_aprecieri`WHERE`pid`="'.$item[0].'"&&`valoare`="1"')->fetch_row();
$dezaprecieri=$conn->query('SELECT COUNT(*)FROM`galerie_aprecieri`WHERE`pid`="'.$item[0].'"&&`valoare`="2"')->fetch_row();
if($aprecieri[0]>0)
echo'<a href="/aprecieri-poza/id/'.$item[0].'/tip/aprecieri"><strong>'.$aprecieri[0].'</strong> aprecieri</a>';
if($aprecieri[0]>0&&$dezaprecieri[0]>0)
echo'<strong> - </strong>';
if($dezaprecieri[0]>0)
echo'<a href="/aprecieri-poza/id/'.$item[0].'/tip/dezaprecieri"><strong>'.$dezaprecieri[0].'</strong> dezaprecieri</a>';
}
echo$div[0].$div[1];
if($conn->query('SELECT COUNT(*)FROM`galerie_aprecieri`WHERE`de`="'.$de.'"&&`pid`="'.$item[0].'"')->fetch_row()[0]==0)
echo'<a href="/apreciaza-poza/id/'.$item[0].'/tip/apreciaza"><img src="'.$domenii_statice[1].'apreciaza.png" alt="" width="16" height="16" />Apreciază</a><strong> - </strong><a href="/apreciaza-poza/id/'.$item[0].'/tip/dezapreciaza"><img src="'.$domenii_statice[2].'dezapreciaza.png" alt="" width="16" height="16" />dezapreciază</a>';
else
{
$apreciere=$conn->query('SELECT`valoare`,`data`FROM`galerie_aprecieri`WHERE`de`="'.$de.'"&&`pid`="'.$item[0].'"')->fetch_row();
echo'Tu ai '.($apreciere[0]==1?'a':'deza').'preciat aceasta poza<small> - '.data($apreciere[1]).'</small>';
}
echo$div[0].$div[1];
$comentarii=$conn->query('SELECT COUNT(*)FROM`galerie_comentarii`WHERE`pid`="'.$item[0].'"')->fetch_row();
if($comentarii[0]==0)
echo'Nu a fost comentată încă!';
else
echo'<a href="/comentarii-poza/id/'.$item[0].'">'.img('galerie.png',1).'Comentarii</a> <strong>'.number_format($comentarii[0]).'</strong>';
echo$div[0];
if($item[7]>0)
echo$div[1].'Daca comentezi aceasta poza, '.nume($la).' îți oferă suma de <strong>'.$item[7].'</strong> lei!'.$div[0];
$form[0]='/comenteaza-poza/id/'.$item[0].'" method="post';
$form[1]=0;
require'f_textarea.php';
$form[2]=$div[1].'Scrie comentariu:<br />'.textarea('pmtext').$div[0];
$form[3]='pmtext';
$form[4]='Adauga';
require'f_form.php';
if($de==$la)
echo$div[4].img('administrare.png',1).'Administrare poza'.$div[5].$div[1].'<small>BBCode: <strong>[url=/poza/id/'.$item[0].']poza mea[/url]</strong></small><br /><small>BBCode: <strong>[img=/'.$item[2].']</strong></small>'.$div[0].$div[1].'<a href="/seteaza-poza-ca-avatar/id/'.$item[0].'">Seteaza poza ca avatar</a>'.$div[0];
if($la==$de||$perm>0)
echo$div[1].'<a href="/editeaza-poza/id/'.$item[0].'">Editeaza poza</a>'.$div[0].$div[1].'<a href="/sterge-poza/id/'.$item[0].'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a>'.$div[0];
if($perm>0)
echo$div[1].img('administrare.png',1).'Poza a fost validată de '.profil($item[4]).$div[0];
echo$div[1].'<a href="/raporteaza-poza/id/'.$item[0].'">Raporteaza poza</a>'.$div[0];
}
require'f_paginare2.php';
}
else
{
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].nume($la).' nu are poze în '.($fid>0?'albumul '.$fnume:'galerie').($go!=''?', la care să ofere preț pentru '.($go==1?'comentare':'notare'):'').'!'.$div[0];
}
}
if($de==$la&&isset($_GET['fid']))
echo($fid>0?$div[1].'<a href="/editeaza-album-poze/la/'.$la.'-'.seo(nume($la,1)).'/album/'.$fid.'-'.seo($finfo[1]).'">'.img('administrare.png',1).'Editeaza albumul '.$fnume.'</a>'.$div[0]:'').$div[1].'<a href="/muta-poze/la/'.$la.'-'.seo(nume($la,1)).'/album/'.$fid.'-'.seo($finfo[1]).'">'.img('administrare.png',1).'Muta pozele din albumul '.$fnume.'</a>'.$div[0].$div[1].'<a href="/sterge-album-poze/la/'.$la.'-'.seo(nume($la,1)).'/album/'.$fid.'-'.seo($finfo[1]).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge albumul '.$fnume.'</a>'.$div[0];
require'f_jos.php';